#include <bits/stdc++.h>
using namespace std;

namespace Legendgod {
namespace Read {
//    #define Fread
    #ifdef Fread
    const int Siz = (1 << 21) + 5;
    char *iS, *iT, buf[Siz];
    #define gc() ( iS == iT ? (iT = (iS = buf) + fread(buf, 1, Siz, stdin), iS == iT ? EOF : *iS ++) : *iS ++ )
    #define getchar gc
    #endif // Fread

    template <typename T>
    void r1(T &x) {
        x = 0; char c(getchar()); int f(1);
        for(; !isdigit(c); c = getchar()) if(c == '-') f = -1;
        for(; isdigit(c); c = getchar()) x = (x * 10) + (c ^ 48);
        x *= f;
    }
    template <typename T, typename...Args>
    void r1(T &x, Args&...arg) {
        r1(x), r1(arg...);
    }
}

using Read::r1;

const int maxn = 2e5 + 5;
int n, m;

signed main() {
    int i, j;

    return 0;
}

}

signed main() { return Legendgod::main(), 0; }
